package com.company.demofooter.loader;

import com.company.demofooter.view.login.LoginView;
import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.HasComponents;
import com.vaadin.flow.component.html.Footer;
import io.jmix.flowui.xml.layout.loader.ViewLoader;

public class AppViewLoader extends ViewLoader {

    @Override
    public void loadComponent() {
        super.loadComponent();

        Component rootComponent = resultComponent.getContent();
        if (resultComponent instanceof LoginView) {
            // skip view
            return;
        }

        if (rootComponent instanceof HasComponents container) {
            container.add(createFooter());
        }
    }

    protected Footer createFooter() {
        Footer footer = new Footer();
        footer.setId("view-footer");
        footer.setWidthFull();
        footer.setHeight("5em");
        footer.setClassName("view-footer");
        return footer;
    }
}
