package com.company.demofooter.view.footer;

import com.vaadin.flow.component.html.Footer;
import io.jmix.flowui.component.layout.ViewLayout;

public interface FooterMixin {

    default Footer createFooter() {
        Footer footer = new Footer();
        footer.setHeight("5em");
        footer.setWidthFull();
        footer.setClassName("view-footer");
        return footer;
    }

    default Footer attachFooter() {
        Footer footer = createFooter();
        getContent().add(footer);
        return footer;
    }

    ViewLayout getContent();
}