package com.company.demofooter.view.user;

import com.company.demofooter.entity.User;
import com.company.demofooter.view.footer.FooterMixin;
import com.company.demofooter.view.main.MainView;
import com.vaadin.flow.component.html.Footer;
import com.vaadin.flow.component.html.Span;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "users", layout = MainView.class)
@ViewController("User.list")
@ViewDescriptor("user-list-view.xml")
@LookupComponent("usersDataGrid")
@DialogMode(width = "64em")
public class UserListView extends StandardListView<User> implements FooterMixin {

    @Subscribe
    private void onInit(InitEvent event) {
        Footer footer = attachFooter();
        footer.add(new Span("Footer User list view"));
    }
}